# LLVM: `gccas` tool

### NAME

`gccas`

### SYNOPSIS

`gccas [options] < filename>`

### DESCRIPTION

The `gccas` utility takes an LLVM assembly file generated by the C or C++ frontends and converts it into an LLVM bytecode file. It is primarily used by the GCC front end, and as such, attempts to mimic the interface provided by the default system assembler so that it can act as a "drop-in" replacement.

`gccas` performs a number of optimizations on the input program.

### OPTIONS

- -help
  Print a summary of command line options.

- -o <filename>
  Specify the output filename which will hold the assembled bytecode.

- -disable-inlining
  Disable the inlining pass. By default, it is enabled.

- -disable-opt
  Disable all assemble-time optimization passes.

- -enable-correct-eh-support
  Instruct the -lowerinvoke pass to insert code for correct exception handling support. This is expensive and is by default omitted for efficiency.

- -stats
  Print statistics.

- -time-passes
  Record the amount of time needed for each pass and print it to standard error.

- -verify
  Verify each pass result.

### EXIT STATUS

If `gccas` succeeds, it will exit with 0. Otherwise, if an error occurs, it will exit with a non-zero value.

### SEE ALSO

`llvm-as` `gccld`

Maintained by the LLVM Team.